{% extends 'base.html.twig' %}

{% block body %}


    <main class='main-content bgc-grey-100'>
        <div id='mainContent'>
            <div id="addMe">
                <h1>Aggiunta massiva di ospiti - fase di conferma</h1>


                <div class="row">
                    <div class="col-sm-4 text-sm-center"></div>

                    <div class="col-sm-4">
                        <a class="btn btn-success add" href="{{ path('guest_add_massive_confirmed') }}"
                           onclick="$('#addMe').hide();$('#showMe').show();">
                            Conferma l'aggiunta massiva di questi ospiti
                        </a>
                    </div>
                    <div class="col-sm-4 text-sm-right">
                        <a href="{{ path('guest') }}" class="btn btn-info">
                            Ritorna alla lista
                        </a>
                    </div>
                </div>
                <div class="table-responsive">
                    <table class="table table-striped table-hover">
                        <thead>
                        <tr>
                            <th>Cognome</th>
                            <th>Nome</th>
                            <th>Accesso attivo dal</th>
                            <th>Fino al</th>
                            <th>Identificato con</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for entity in guests %}
                            <tr>
                                <td>{{ entity.lastname }}</td>
                                <td>{{ entity.firstname }}</td>
                                <td>{% if entity.starting_from %}{{ entity.starting_from|date('d/m/Y') }}{% endif %}</td>
                                <td>{% if entity.ending_to %} {{ entity.ending_to|date('d/m/Y') }}{% endif %}</td>
                                <td>{{ entity.identified_by }}</td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>

                <div class="row">
                    <div class="col-sm-4 text-sm-center"></div>

                    <div class="col-sm-4">
                        <a class="btn btn-success add" href="{{ path('guest_add_massive_confirmed') }}"
                           onclick="$('#addMe').hide();$('#showMe').show();">
                            Conferma l'aggiunta massiva di questi ospiti
                        </a>
                    </div>
                    <div class="col-sm-4 text-sm-right">
                        <a href="{{ path('guest') }}" class="btn btn-info">
                            Ritorna alla lista
                        </a>
                    </div>
                </div>

            </div>
            <div id="showMe" style="display: none">
                <h1>Aggiunta massiva di ospiti - utenti aggiunti con successo</h1>
                <a href="{{ path('guest') }}" class="btn btn-info">
                    Ritorna alla lista
                </a>

            </div>
        </div>
    </main>
{% endblock %}

